<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>

<head>

  <!--  basic meta information -->
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta http-equiv="Content-Type" content="application/json; charset=utf-8">
  <meta content="width=device-width,initial-scale=1,maximum-scale=5,user-scalable=yes" name="viewport">

  <title>My ARchitect World</title>

  <script src="https://www.wikitude.com/libs/architect.js"></script>
  <script src="../ade.js"></script>

  <!-- positioning of poi-radar -->
  <link rel="stylesheet" href="css/poi-radar.css" />

  <!-- jquery mobile CSS -->
  <link rel="stylesheet" href="jquery/jquery.mobile-1.3.2.min.css" />
  <!-- required to set background transparent & enable "click through" -->
  <link rel="stylesheet" href="jquery/jquery-mobile-transparent-ui-overlay.css" />

  <!-- jquery JS files -->
  <script type="text/javascript" src="jquery/jquery-1.9.1.min.js"></script>
  <script type="text/javascript" src="jquery/jquery.mobile-1.3.2.min.js"></script>

  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
    crossorigin="anonymous"></script>

  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
    crossorigin="anonymous">

  <!-- marker representation-->
  <script src="js/marker.js"></script>

  <!-- World logic-->
  <script type="text/javascript" src="js/reloadingcontent.js"></script>

  <!-- radar component -->
  <script type="text/javascript" src="js/radar.js"></script>
</head>

<!--<body onLoad="javascript:AR.logger.activateDebugMode();">-->

<body>
  <div data-role="page" id="page1" style="background: none;">

    <!-- MAIN PAGE CONTENT -->

    <!-- header of UI holding feature buttons -->
    <div id="header-status" data-role="header" data-position="fixed" data-theme="c">
      <a href="javascript: World.showRange();" data-icon="gear" data-inline="true" data-mini="true">Range</a>
      <a href="javascript: World.reloadPlaces()" data-icon="refresh">Reload</a>
      <h1></h1>
    </div>

    <!-- the radar div - Wikitude SDK radar will be drawn into this div -->
    <div class="radarContainer_left" id="radarContainer"></div>

    <!-- transparent footer-->
    <div data-role="footer" class="ui-bar" data-theme="f" data-position="fixed" style="text-align:center;">

      <!-- small status-button -->
      <a style="text-align:right;" id="popupInfoButton" href="#popupInfo" data-rel="popup" data-role="button" class="ui-icon-alt"
        data-inline="true" data-transition="pop" data-icon="alert" data-theme="e" data-iconpos="notext">Log</a>
      </p>

      <!-- popup displayed when button clicked -->
      <div data-role="popup" id="popupInfo" class="ui-content" data-theme="e" style="max-width:350px;">
        <p style="text-align:right;" id="status-message">Trying to find out where you are</p>
      </div>

    </div>



    <!-- PANELS, ONLY VISIBLE ON DEMAND -->

    <!-- panel containing POI detail information -->

    <div class="modal fade bd-example-modal-sm" id="panel-poidetail" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel"
      aria-hidden="true">
      <div class="modal-dialog modal-sm">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="poi-detail-title">Notizen</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <!-- description -->
            <b>Beschreibung:</b><br>
            <div id="poi-detail-description"></div><br>
            <!--notes-->
            <b>Notizen:</b><br>
            <table id="poi-detail-notes"></table>
            <!-- distance -->
            Entfernung:
            <a id="poi-detail-distance"></a>
          </div>
        </div>
      </div>
    </div>

    <!-- Panel containing settings -->
    <div class="modal fade bd-example-modal-sm" id="panel-distance" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel"
      aria-hidden="true">
      <div class="modal-dialog modal-sm">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="poi-detail-title">Einstellungen</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <!--<img src="../default.png" id="img">-->
            <!-- Range in m/km-->
            <div> Radius:
              <a id="panel-distance-value"></a>
            </div>

            <!-- Amount of visible places -->
            <div> Anzahl:
              <a id="panel-distance-places"></a>
            </div><br>

            <!-- default slider -->
            <input id="panel-distance-range" type="range" data-highlight="true" name="rangeSlider" min="0" max="100"
              value="100" data-show-value="false" step="5" data-popup-enabled="false">
          </div>
        </div>
      </div>
    </div>

  </div>

</body>

</html>
